import { useLocalSearchParams } from "expo-router";
import { View, Text } from "react-native";
import { DownloadTravel } from "../../../src/travel/screens/download_travel";

export default function Details() {
    const { id } = useLocalSearchParams<{ id: string }>();

    if (!id) {
        return (
            <View>
                <Text>Invalid ID</Text>
            </View>
        );
    }

    return (
        <DownloadTravel id={parseInt(id)} />
    );
}